Subject: Re: [PATCH v2 11/11] of: unify phandle name in struct device_node

From: David Miller <[email-masked]>
Date: Tue, 24 Nov 2009 14:22:42 -0800 (PST)

From: Grant Likely <[email-masked]>
Date: Tue, 24 Nov 2009 15:01:14 -0700

> In struct device_node, the phandle is named 'linux_phandle' for PowerPC
> and MicroBlaze, and 'node' for SPARC.  There is no good reason for the
> difference, it is just an artifact of the code diverging over a couple
> of years.  This patch renames both to simply .phandle.
> 
> Note: the .node also existed in PowerPC/MicroBlaze, but the only user
> seems to be arch/powerpc/platforms/powermac/pfunc_core.c.  It doesn't
> look like the assignment between .linux_phandle and .node is
> significantly different enough to warrant the separate code paths
> unless ibm,phandle properties actually appear in Apple device trees.
> 
> I think it is safe to eliminate the old .node property and use
> linux_phandle everywhere.
> 
> Signed-off-by: Grant Likely <[email-masked]>

Acked-by: David S. Miller <[email-masked]>